Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Fixed_Set_Iterator< T, ACE_SIZE > Class Template Reference

Iterates through an unordered set. More...

`#include <Containers_T.h>`

List of all members.

## Public Methods

| ACE_Fixed_Set_Iterator (ACE_Fixed_Set< T, ACE_SIZE > &s)
int | next (T *&next_item)
int | advance (void)
int | first (void)
int | done (void) const
| Returns 1 when all items have been seen, else 0.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

ACE_Fixed_Set< T, ACE_SIZE > & | s_
| Set we are iterating over.
ssize_t | next_
| How far we've advanced over the set.

## Detailed Description

### template<class T, size_t ACE_SIZE>
class ACE_Fixed_Set_Iterator< T, ACE_SIZE >

Iterates through an unordered set.

This implementation of an unordered set uses a fixed array. Allows deletions while iteration is occurring.

## Constructor & Destructor Documentation

template<class T, size_t ACE_SIZE>
ACE_Fixed_Set_Iterator< T, ACE_SIZE >::ACE_Fixed_Set_Iterator | ( | ACE_Fixed_Set< T, ACE_SIZE > & | s | ) |

## Member Function Documentation

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<class T, size_t ACE_SIZE>
void ACE_Fixed_Set_Iterator< T, ACE_SIZE >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::first | ( | void |  | ) |

| Move to the first element in the set. Returns 0 if the set is empty, else 1.

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::next | ( | T *& | next_item | ) |

| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

template<class T, size_t ACE_SIZE>
ACE_Fixed_Set_Iterator< T, ACE_SIZE >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T, size_t ACE_SIZE>
ssize_t ACE_Fixed_Set_Iterator< T, ACE_SIZE >::next_`[private]`

| How far we've advanced over the set.

template<class T, size_t ACE_SIZE>
ACE_Fixed_Set<T, ACE_SIZE>& ACE_Fixed_Set_Iterator< T, ACE_SIZE >::s_`[private]`

| Set we are iterating over.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers_T.cpp